:root {
  --btnpadding: 0.5rem;
  --btnwidth: 6rem;
  --btnfontsize: 1rem;
}
.btn-config {
  width: var(--btnwidth);
  padding: var(--btnpadding);
  font-size: var(--btnfontsize);
  color: white;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}
.container {
  display: flex;
  justify-content: center;
}
.copy-table-container{
  display: none;
}
.grid-container {
  display: none;
}
.grid-container.active {
  width: 100%;
  padding: 1rem;
  display: grid;
  grid-template-columns: auto;
  border: 2px solid black;
  border-radius: 1rem;
  gap: 0.5rem;
}
.title-container {
  font-size: 25px;
  display: flex;
  justify-content: center;
  grid-column: 1/2;
  grid-row: 1/2;
}
.search-container {
  grid-column: 1/2;
  grid-row: 2/3;
  display: grid;
  grid-template-columns: auto 10rem;
  gap: 0.5rem;
}
.search-input {
  grid-column: 1/2;
  grid-row: 1/2;
}
.search-button {
  height: 100%;
  width: 100%;
  background-color: #4caf50;
  grid-column: 2/3;
  grid-row: 1/2;
}
.add-new-subscriber-container {
  grid-column: 1/2;
  grid-row: 3/4;
  display: grid;
  grid-template-columns: 15rem auto;
}
.export-container {
  gap: 0.5rem;
  grid-column: 1/2;
  grid-row: 4/5;
  display: grid;
  grid-template-columns: 15rem 15rem auto;
}
.response-message-container {
  grid-column: 1/2;
  grid-row: 5/6;
}
.table-container {
  grid-column: 1/2;
  grid-row: 6/7;
}
.edit-delete-container {
  display: flex;
  flex-direction: row;
  gap: 0.5rem;
}

.add-button {
  background-color: #049dcd;
  width: auto;
  grid-column: 1/2;
  grid-row: 1/2;
}
.edit-button {
  background-color: #dd7d00;
}

.delete-button {
  background-color: #cd0000;
}

.export-button {
  background-color: red;
  width: auto;
  grid-column: 1/2;
  grid-row: 1/2;
}
.export-button-xls {
  background-color: red;
  width: auto;
  grid-column: 2/3;
  grid-row: 1/2;
}
input[type="text"] {
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
}
label {
  font-size: 20px;
}
a {
  text-decoration: none;
}

.input-style {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
}

.user-container {
  display: none;
}
.user-container.active {
  width: 50%;
  border: 2px solid black;
  border-radius: 1rem;
  padding: 1rem;
  display: grid;
  grid-template-columns: 100%;
  grid-template-rows: auto;
  gap: 0.5rem;
}
.firstName-container {
  grid-column: 1/2;
  grid-row: 1/2;
}

.lastName-container {
  grid-column: 1/2;
  grid-row: 2/3;
}
.email-container {
  grid-column: 1/2;
  grid-row: 3/4;
}
.packageType-container {
  grid-column: 1/2;
  grid-row: 4/5;
}
.phoneNumber-container {
  grid-column: 1/2;
  grid-row: 5/6;
}
.address-container {
  grid-column: 1/2;
  grid-row: 6/7;
}
.oib-container {
  grid-column: 1/2;
  grid-row: 7/8;
}
.message-container {
  grid-column: 1/2;
  grid-row: 8/9;
}
.back-submit-container {
  grid-column: 1/2;
  grid-row: 9/10;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 0.5rem;
}
.back {
  background-color: #af7d4c;
  color: white;
  cursor: pointer;
  grid-column: 1/2;
  grid-row: 1/2;
}
.back:hover {
  background-color: #9f6934;
}
.submit {
  background-color: #4caf50;
  color: white;
  cursor: pointer;
  grid-column: 2/3;
  grid-row: 1/2;
}
.submit:hover {
  background-color: #45a049;
}
